Name:		hp-i40evf
Version:	1.3.33.2
Release:	12.%{distro}
Group:		System/Kernel
Vendor:		Intel Corporation
URL:		http://www.intel.com/network/connectivity/products/server_adapters.htm
Packager:	Hewlett-Packard Company
License:	GPL
Source0:	%{name}-%{version}.tar.gz
Source1:        %{name}.files
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Summary:	HP Intel i40evf Ethernet Kernel Module

%define debug_package %{nil}

%if "%{_vendor}" == "suse"
%if %{!?KVER:1}%{?KVER:0}
%ifarch x86_64
%define flav default kdump smp xen
%else
%define flav default bigsmp kdump kdumpae smp xen xenpae pae
%endif
%endif

%if %{!?KVER:0}%{?KVER:1}
%define flav %(echo %{KVER} | awk -F"-" '{print $3}')
%endif
%endif

%if "%{_vendor}" == "redhat"
%if %{!?KVER:1}%{?KVER:0}
%define flav ""
%endif
%if %{!?KVER:0}%{?KVER:1}
%define flav %(echo %{KVER} | awk -F"el5" '{print $2}')
%if "%{flav}" == ""
%define flav default
%endif
%endif
%endif

%if "%{_vendor}" == "suse"
%if 0%{?suse_version} >= 1315
BuildRequires: kernel-syms
%else
BuildRequires: kernel-source kernel-syms
%endif
%define install_mod_dir updates/%{name}
%define kernel_source /usr/src/linux-obj/%{_target_cpu}
%{suse_kernel_module_package -x %flav}
%else
BuildRequires: %kernel_module_package_buildreqs
%define install_mod_dir extra/%{name}
%{kernel_module_package -f %{SOURCE1} %flav}
%endif

%description
This package provides the HP Intel i40evf Ethernet Kernel Module.
SRPMS available at http://downloads.linux.hpe.com/SDR/repo/spp/<spp version>/hp/source
Public key available at https://h20392.www2.hpe.com/portal/swdepot/displayProductInfo.do?productNumber=HPLinuxCodeSigning

%package KMP
Summary: HP Intel i40evf Ethernet Kernel Module
Group: System/Kernel

%description KMP
This package provides the HP Intel i40evf Ethernet Kernel Module.
SRPMS available at http://downloads.linux.hpe.com/SDR/repo/spp/<spp version>/hp/source
Public key available at https://h20392.www2.hpe.com/portal/swdepot/displayProductInfo.do?productNumber=HPLinuxCodeSigning

%package doc
Summary: Documentation for the %{name} kernel module
Group: System/Kernel
%if "%{_vendor}" == "redhat"
Requires: %{name}-kmod = %{version}-%{release}
%else
Requires: %{name}-kmp
%endif

%description doc
Documentation for the HP Intel i40evf Ethernet Kernel Module

%prep
%setup
mkdir source
set -- src/*
mv src/* source/
mkdir obj
echo "override i40evf * weak-updates/%{name}" > %{name}.conf

%build
export EXTRA_CFLAGS='-DVERSION="%version"'

%if %{!?KVER:0}%{?KVER:1}
%define flavors %{flav}
%else
%define flavors %{flavors_to_build}
%endif

for flavor in %{flavors}; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	make -C %{kernel_source $flavor} M=$PWD/obj/$flavor

	#mark modules executable so that strip-to-file can strip them
	find obj/$flavor/ -name "*.ko" -type f -exec chmod u+x '{}' +
done
gzip < i40evf.7 > i40evf.7.gz

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=%install_mod_dir

%if %{!?KVER:0}%{?KVER:1}
%define flavors %{flav}
%else
%define flavors %{flavors_to_build}
%endif

for flavor in %{flavors}; do
	make -C %{kernel_source $flavor} modules_install M=$PWD/obj/$flavor

	#Cleanup unnecessary kernel-generated module dependency files.
	find $INSTALL_MOD_PATH/lib/modules -iname 'modules.*' -exec rm {} \;
done
install -D -m 644 i40evf.7.gz $RPM_BUILD_ROOT/%{_mandir}/man7/i40evf.7.gz
install -d %{buildroot}%{_sysconfdir}/depmod.d/
install %{name}.conf %{buildroot}%{_sysconfdir}/depmod.d/

%postun doc
if [ -f %{_mandir}/man7/i40evf.7.gz ]; then
	exit 0
fi

%clean
rm -rf %{buildroot}

%files
%{_sysconfdir}/depmod.d/%{name}.conf

%files doc
%defattr(-, root, root)
%{_mandir}/man7/i40evf.7.gz
%doc COPYING README

%changelog
* Wed Apr 13 2016 HP Linux SW Deliverables <Linux_SWdeliverables@external.groups.hp.com> %version-%release
* Mon Nov 30 2015 HP Linux SW Deliverables <Linux_SWdeliverables@external.groups.hp.com> 1.3.33.2-7
 - Added support for SLES12SP1
 - Added support for RHEL 7.2
 - This driver addresses an issue where Virtual Function (VF) VLAN stops working if the device Physical Function (PF) is changed to Promiscuous Mode.

* Tue Jul 07 2015 HP Linux SW Deliverables <Linux_SWdeliverables@external.groups.hp.com> 1.2.34-4
 - Added support for SLES11SP4
 - Added support for RHEL 6.7

* Tue Apr 07 2015 HP Linux SW Deliverables <Linux_SWdeliverables@external.groups.hp.com> 1.2.33-1
  - Initial release of i40evf driver to support Intel(R) 40 Gigabit Adapters based virtual function devices that can only be activated on kernels that support SR-IOV.

